﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="IMPMILLONESALDataSet" targetNamespace="http://tempuri.org/IMPMILLONESALDataSet.xsd" xmlns:mstns="http://tempuri.org/IMPMILLONESALDataSet.xsd" xmlns="http://tempuri.org/IMPMILLONESALDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="marketConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="marketConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.BRAVOSPORT.My.MySettings.GlobalReference.Default.marketConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="presentacionTableAdapter" GeneratorDataComponentClassName="presentacionTableAdapter" Name="presentacion" UserDataComponentName="presentacionTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="marketConnectionString (MySettings)" DbObjectName="IMPMILLONESAL.dbo.presentacion" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[presentacion] WHERE (([idpresentacion] = @Original_idpresentacion) AND ((@IsNull_presentacion = 1 AND [presentacion] IS NULL) OR ([presentacion] = @Original_presentacion)) AND ((@IsNull_sundm = 1 AND [sundm] IS NULL) OR ([sundm] = @Original_sundm)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idpresentacion" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idpresentacion" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_presentacion" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="presentacion" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_presentacion" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="presentacion" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sundm" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sundm" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sundm" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sundm" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[presentacion] ([presentacion], [sundm]) VALUES (@presentacion, @sundm);
SELECT idpresentacion, presentacion, sundm FROM presentacion WHERE (idpresentacion = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@presentacion" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="presentacion" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sundm" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sundm" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idpresentacion, presentacion, sundm FROM dbo.presentacion</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[presentacion] SET [presentacion] = @presentacion, [sundm] = @sundm WHERE (([idpresentacion] = @Original_idpresentacion) AND ((@IsNull_presentacion = 1 AND [presentacion] IS NULL) OR ([presentacion] = @Original_presentacion)) AND ((@IsNull_sundm = 1 AND [sundm] IS NULL) OR ([sundm] = @Original_sundm)));
SELECT idpresentacion, presentacion, sundm FROM presentacion WHERE (idpresentacion = @idpresentacion)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@presentacion" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="presentacion" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sundm" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sundm" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idpresentacion" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idpresentacion" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_presentacion" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="presentacion" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_presentacion" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="presentacion" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sundm" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sundm" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sundm" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sundm" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idpresentacion" ColumnName="idpresentacion" DataSourceName="IMPMILLONESAL.dbo.presentacion" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idpresentacion" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idpresentacion" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idpresentacion" DataSetColumn="idpresentacion" />
              <Mapping SourceColumn="presentacion" DataSetColumn="presentacion" />
              <Mapping SourceColumn="sundm" DataSetColumn="sundm" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="IMPMILLONESALDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="IMPMILLONESALDataSet" msprop:Generator_UserDSName="IMPMILLONESALDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="presentacion" msprop:Generator_TableClassName="presentacionDataTable" msprop:Generator_TableVarName="tablepresentacion" msprop:Generator_TablePropName="presentacion" msprop:Generator_RowDeletingName="presentacionRowDeleting" msprop:Generator_RowChangingName="presentacionRowChanging" msprop:Generator_RowEvHandlerName="presentacionRowChangeEventHandler" msprop:Generator_RowDeletedName="presentacionRowDeleted" msprop:Generator_UserTableName="presentacion" msprop:Generator_RowChangedName="presentacionRowChanged" msprop:Generator_RowEvArgName="presentacionRowChangeEvent" msprop:Generator_RowClassName="presentacionRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idpresentacion" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidpresentacion" msprop:Generator_ColumnPropNameInRow="idpresentacion" msprop:Generator_ColumnPropNameInTable="idpresentacionColumn" msprop:Generator_UserColumnName="idpresentacion" type="xs:int" />
              <xs:element name="presentacion" msprop:Generator_ColumnVarNameInTable="columnpresentacion" msprop:Generator_ColumnPropNameInRow="presentacion" msprop:Generator_ColumnPropNameInTable="presentacionColumn" msprop:Generator_UserColumnName="presentacion" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sundm" msprop:Generator_ColumnVarNameInTable="columnsundm" msprop:Generator_ColumnPropNameInRow="sundm" msprop:Generator_ColumnPropNameInTable="sundmColumn" msprop:Generator_UserColumnName="sundm" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:presentacion" />
      <xs:field xpath="mstns:idpresentacion" />
    </xs:unique>
  </xs:element>
</xs:schema>